job "reservedports" {
        region = "global"
        datacenters = ["dc1"]

        # Create a 'cache' group. Each task in the group will be
        # scheduled onto the same machine.

        group "reservedports" {
                # Control the number of instances of this group.
                # Defaults to 1
                count = 60 

                # Define a task to run
                task "reservedports" {
                        # Use Docker to run the task.
                        driver = "exec"
                        config = {
                                args = [
                                        "--max_old_space_size=50",
                                        "/usr/lib/reserved_ports/http_server.js"
                                ]
                                command = "/usr/bin/node"
                        }

                        service {
                                name = "${TASKGROUP}"
                                port = "http"
                                check {
                                        name = "ping_reservedports"
                                        type = "http"
                                        path = "/"
                                        interval = 2000000000
                                        timeout = 2000000000
                                }
                        }


                        resources {
                                cpu = 20
                                memory = 30
                                network {
                                        mbits = 1
                                        port "http" {
                                        }
                                }
                        }

                }
        }
}
